import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostUnreactToGroupMessage } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostUnreactToGroupMessageMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostUnreactToGroupMessage, ResponseType>({
    mutationKey: chatQueryKeys.unreactToGroupMessage(),
    mutationFn: async (data) => {
      const response = await chatApi.unreactToGroupMessage(data);
      return response.data;
    }
  });
};
